package cn.lihongjie.coal.jobPost.controller;

import cn.lihongjie.coal.annotation.OrgScope;
import cn.lihongjie.coal.annotation.SysLog;
import cn.lihongjie.coal.base.dto.CommonQuery;
import cn.lihongjie.coal.base.dto.IdRequest;
import cn.lihongjie.coal.jobPost.dto.CreateJobPostDto;
import cn.lihongjie.coal.jobPost.dto.JobPostDto;
import cn.lihongjie.coal.jobPost.dto.UpdateJobPostDto;
import cn.lihongjie.coal.jobPost.service.JobPostService;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/jobPost")
@SysLog(module = "岗位")
@Slf4j
@OrgScope
public class JobPostController {
    @Autowired private JobPostService service;

    @PostMapping("/create")
    public JobPostDto create(@RequestBody CreateJobPostDto request) {
        return this.service.create(request);
    }

    @PostMapping("/update")
    public JobPostDto update(@RequestBody UpdateJobPostDto request) {
        return this.service.update(request);
    }

    @PostMapping("/delete")
    public Object delete(@RequestBody IdRequest request) {
        this.service.delete(request);
        return true;
    }

    @PostMapping("/getById")
    public JobPostDto getById(@RequestBody IdRequest request) {
        return this.service.getById(request.getId());
    }

    @PostMapping("/list")
    public Page<JobPostDto> list(@RequestBody CommonQuery request) {
        return this.service.list(request);
    }
}
